Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class DefaultRequestExceptionHandler

    java.lang.Object
      org.apache.tapestry5.internal.services.DefaultRequestExceptionHandler

All Implemented Interfaces:
  RequestExceptionHandler

    public class DefaultRequestExceptionHandler

extends java.lang.Object
implements RequestExceptionHandler

Default implementation of `RequestExceptionHandler` that displays the standard ExceptionReport page. The page must implement the `ExceptionReporter` interface.

Constructor Summary
`DefaultRequestExceptionHandler(RequestPageCache pageCache, PageResponseRenderer renderer, org.slf4j.Logger logger, java.lang.String pageName, Response response)`

Method Summary
`void` | `handleRequestException(java.lang.Throwable exception)` Reponsible for handling the error in some way and providing some response to the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRequestExceptionHandler

    public DefaultRequestExceptionHandler(RequestPageCache pageCache,
                                          PageResponseRenderer renderer,
                                          org.slf4j.Logger logger,
                                          @Symbol(value="tapestry.exception-report-page")
                                          java.lang.String pageName,
                                          Response response)

Method Detail

### handleRequestException

    public void handleRequestException(java.lang.Throwable exception)
                                throws java.io.IOException

  Description copied from interface: `RequestExceptionHandler`
  Reponsible for handling the error in some way and providing some response to the client. A default implementation may render an error response page.

  The handler is also responsible for setting the response status and the X-Tapestry-ErrorMessage response header. These are very important in Ajax requests to allow the client-side logic to detect the error and present it to the user.

  Specified by:
    `handleRequestException` in interface `RequestExceptionHandler`
  Parameters:
    `exception` - uncaught exception to be reported
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.